using Femto.Common.Domain;

namespace Femto.Modules.Blog.Application.Commands.CreatePost;

public record CreatePostCommand(Guid AuthorId, string Content, IEnumerable<CreatePostMedia> Media, bool? IsPublic)
    : ICommand<Guid>;

public record CreatePostMedia(Guid MediaId, Uri Url, string? Type, int Order, int? Width, int? Height);
